using System;
using System.Collections;
using System.ComponentModel;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data;
namespace WebApplication2.Admin
{
	/// <summary>
	/// WebFinanceLog 的摘要说明。
	/// </summary>
	public partial class WebFinanceLog : System.Web.UI.Page
	{
		private static string cmdstr;
		public string cmd_str
		{
			get
			{
				return cmdstr.ToString();
			}
			set
			{
				cmdstr=value;
			}
		}
		protected void Page_Load(object sender, System.EventArgs e)
		{
			if(!Page.IsPostBack)
			{
				if(this.Session["USERNAME"]==null||this.Session["Role"]==null||this.Session["USERNAME"].ToString()==""||this.Session["Role"].ToString()=="")
				{
					Response.Redirect("login.aspx");
				}
				else
				{
					string [] role=this.Session["Role"].ToString().Split('#');
					bool exists=false;
					for(int i=0;i<role.Length;i++)
					{
						if(role[i].Equals("8")||role[i].Equals("0"))
						{
							exists=true;break;
						}
					}
					if(exists)
					{
					
						cmd_str="";
						Bind(1);
						this.Label3.Visible=false;
					
					}
					else
					{Response.Redirect("NoAuthor.aspx");}
				}
			}// 在此处放置用户代码以初始化页面
		}
		private void Bind(int record)
		{
			int maxrecord=20;
			int recordcount;
			int page;
			int startrecord=(record-1)*maxrecord;
			string connstr=System.Configuration.ConfigurationSettings.AppSettings["ConnectionString"];
			SqlConnection conn=new SqlConnection (connstr);
			SqlDataAdapter da=new SqlDataAdapter("select * from FinanceWeb"+cmd_str+" order by id desc",conn);
			DataSet dataset=new DataSet();
			da.Fill(dataset,startrecord,maxrecord,"websit");
			this.DataGrid1.DataSource=dataset;
			this.DataGrid1.DataBind();
			conn.Close();

			SqlCommand cmd=new SqlCommand("select count(*) from FinanceWeb"+cmd_str,conn);
			conn.Open();
			recordcount=(int)cmd.ExecuteScalar();

			page=((recordcount%maxrecord)==0)?(recordcount/maxrecord):(recordcount/maxrecord+1);
			this.Label2.Text=page.ToString();
			if(this.DataGrid1.Items.Count>0)
			{
				this.Label1.Text=record.ToString();
				this.Label4.Text=recordcount.ToString();
				this.DropDownList3.Items.Clear();
				for(int i=1;i<=int.Parse(this.Label2.Text);i++)
				{
					this.DropDownList3.Items.Add(i.ToString());
				}
				this.DropDownList3.SelectedIndex=int.Parse(this.Label1.Text)-1;
				
			}
			else
			{
				this.Label1.Text="0";
				this.Label4.Text="0";
				this.DropDownList3.Items.Clear();
			}
			this.LinkButton1.Enabled=record<=1?false:true;
			this.LinkButton2.Enabled=record<=1?false:true;
			this.LinkButton3.Enabled=record<page?true:false;
			this.LinkButton4.Enabled=record<page?true:false;

					
		}

		private void gopage(object sender, System.EventArgs e)
		{
			int prepage=Convert.ToInt32(this.Label1.Text.ToString());
		
			int nextpage=Convert.ToInt32(this.Label2.Text.ToString());
			string cmdname=((LinkButton)sender).CommandArgument.ToString();
			switch(cmdname)
			{
				case "pre":
					if(prepage>1)
						prepage--;break;
				case "next":
					if(prepage<nextpage)
						prepage++;break;
				case "frist":prepage=1;break;
				case "end":prepage=nextpage;break;
			}
			
			Bind(prepage);
		}
		protected void Button1_Click(object sender, System.EventArgs e)
		{
			string account=SB.ADOHelper.inputText(this.TextBox1.Text);
			string type=this.DropDownList1.SelectedValue;
			string dt1;
			string dt2;
			if(this.TextBox2.Value.Trim()!=""){dt1=">='"+this.TextBox2.Value.Trim()+"'";}
			else{dt1="is not null";}
			if(this.TextBox3.Value.Trim()!=""){dt2="<='"+this.TextBox3.Value.Trim()+"'";}
			else{dt2="is not null";}
			SB.ADOHelper help=new SB.ADOHelper();
			cmd_str=" where WebUserName like '%"+account+"%' and AffairsType "+type+" and AddTime "+dt1+" and AddTime "+dt2;
			Bind(1);
			if(this.DataGrid1.Items.Count>0)
			{this.Label3.Visible=false;}
			else
			{this.Label3.Visible=true;}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
            this.LinkButton1.Click += new EventHandler(gopage);
            this.LinkButton2.Click += new EventHandler(gopage);
            this.LinkButton3.Click += new EventHandler(gopage);
            this.LinkButton4.Click += new EventHandler(gopage);
            this.DropDownList3.SelectedIndexChanged += new EventHandler(DropDownList3_SelectedIndexChanged);
		}

       
		#endregion

		private void DropDownList3_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			
			Bind(int.Parse(this.DropDownList3.SelectedItem.Text));
		}
	}
}
